import {
  GdsContainer
} from "./chunk.SAM5XOZG.js";
import {
  styleExpressionProperty
} from "./chunk.XKACXVCM.js";
import {
  tokens
} from "./chunk.M7DQB2RS.js";
import {
  gdsCustomElement,
  html
} from "./chunk.VOYMQ322.js";
import {
  __decorateClass
} from "./chunk.5VURDMKE.js";

// libs/core/src/components/layout/card/card.ts
var GdsCard = class extends GdsContainer {
  render() {
    return html`<slot></slot>`;
  }
};
GdsCard.styles = [tokens];
__decorateClass([
  styleExpressionProperty({
    property: "box-shadow",
    valueTemplate: (v) => `var(--gds-shadow-${v})`
  })
], GdsCard.prototype, "shadow", 2);
GdsCard = __decorateClass([
  gdsCustomElement("gds-card")
], GdsCard);

export {
  GdsCard
};
